`timescale 1ns/1ps
module tb();
//`include "hpram_param.v"
//`include "hpram_local_param.v"
parameter DQ_WIDTH = 8;
parameter CS_WIDTH = 1;
reg  clk,rst_n;
wire [CS_WIDTH-1:0]O_ck;
wire [CS_WIDTH-1:0]O_ck_n;
wire [CS_WIDTH-1:0]IO_rwds;
wire [DQ_WIDTH-1:0]IO_dq;
wire [CS_WIDTH-1:0] O_reset;
wire [CS_WIDTH-1:0] O_cs_n;

wire init_calib;
wire error;

wire VCC;
assign VCC = 1'b1;

GSR GSR(1'b1);

initial begin
  $fsdbDumpfile("hpram.fsdb");
  $fsdbDumpvars;
end

initial
begin
    clk = 0;
    rst_n = 0;
    #25
    rst_n = 1;
   end

always #10 clk = ~clk;




hpram_syn_top u_syn_top(
                 .clk(clk),
                 .rst_n(rst_n),
                 .O_hpram_ck(O_ck),
                 .O_hpram_ck_n(O_ck_n),
                 .IO_hpram_rwds(IO_rwds),
                 .O_hpram_reset_n(O_reset),
                 .IO_hpram_dq(IO_dq),
                 .O_hpram_cs_n(O_cs_n),
                 .init_calib(init_calib),
                 .error(error)
                 );

/*
generate 
  genvar o;
    for(o = 0; o < CS_WIDTH; o = o + 1'b1) begin:psram_model
        W956D8MKP_hyperbus psram_model(
          .resetb           (O_reset[o]),
          .clk              (O_ck[o]),
          .clk_n            (O_ck_n[o]),
          .csb              (O_cs_n[o]),
          .adq              (IO_dq[((o+1)*8-1)-:8]),
          .rwds             (IO_rwds[o]),
          .VCC              (VCC),
          .VSS              (1'b0),
          .psc              (),
          .psc_n            (),
          .die_stack        () 
        );
      end
endgenerate
*/

initial begin #800000000
              $finish;
        end

initial
begin
force tb.O_cs_n[0] = 1'b1;//force tb.O_cs_n[0] = 1'b1;
#63570;
release tb.O_cs_n;
end
initial
begin
force tb.VCC = 1'b0;//force tb.O_cs_n[0] = 1'b1;
#501750;
release tb.VCC;
end



endmodule
